Retrieve Provider

Retrieves a provider record by its ID. This operation returns the complete provider details including contact information.

GET/providers/{providerId}

This endpoint allows you to retrieve details for the specified provider.

Authorization
RequiredHeader

A Stedi API Key for authentication.

Path Parameters

The unique ID Stedi assigned to the provider when it was created in the system.

Response

application/json
contacts
Array of Objects

The contact information for the provider. These contacts appear as prepopulated options for contact information when creating enrollment requests for this provider in the Stedi portal. They aren't automatically added to enrollment requests.

These contacts should specify where payers should send communications about the enrollment, if needed.

Array item
createdAt
StringFormat: date-time

The date and time Stedi created the provider record.

id
StringRequired

A unique identifier Stedi assigns to this provider.

name
StringRequiredMin length: 1

The provider's business name. This is typically the provider's practice name, such as Dental Associates, LLC, but it can also be the provider's first and last name.

npi
StringRequiredRegex pattern: ^[0-9]{10}$

The provider's National Provider Identifier (NPI). This is a 10-digit number that is unique to the provider.

taxId
StringRegex pattern: ^\d{9}$

The provider's tax ID, as specified by taxIdType. This identifier is formatted without any separators, such as dashes or spaces. For example 111-22-3333 is represented as 111223333.

taxIdType
String

The type of tax ID. Can be either an EIN - Employer Identification Number, or an SSN - Social Security Number.

Possible values
EIN
SSN
updatedAt
StringFormat: date-time

The date and time Stedi last updated the provider record.